TAAS - Feature #111

Payment+
12/07/2022 12:11 PM - Anil KV

Status: Reopen Bugs Start date: 12/07/2022
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Payment

Description

Coding Payment

History

#1 - 12/19/2022 03:37 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- Assignee changed from Junaid M to Aparna Mathew

- % Done changed from 0 to 10

#2 - 01/02/2023 10:47 AM - Aparna Mathew

- Status changed from Open to Coding Started

- % Done changed from 10 to 40

#3 - 03/15/2023 05:28 PM - Amal Cyriac

- Status changed from Coding Started to Reopen Bugs

- % Done changed from 40 to 50
- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Error while chooosing Paid cheque as FOP
2.Set Auto completion on main ledger - Party
3.Fix bugs on SI. No. (Not Accurate)

4. Set "Multiple FOP and Party not Allowed" alert on FOP & Party

buttons

5.Prevent Journal & Receipt from payment
6.Change button color

(FOP & PARTY)

7.Use proper label on Check Box - Party
(Extra income Change to Additional Amount)

#4 - 03/21/2023 06:09 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

05/03/2025

1/17




#5 - 03/22/2023 06:01 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix bugs on alerts

(Display&Hide alerts properly)

2.Fix Calculation errors

.While choosing- Deduction/Extra pay

.Edit mode - NaN on Amount

3.Prevent duplication errors on grid

(Edit mode - Remove any row - add new one
- update)

#6 - 04/04/2023 10:00 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#7 - 04/05/2023 11:00 AM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Cant save payment when paid cheque as FOP
2.Error on console - add FOP

#8 - 04/19/2023 12:17 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#9 - 04/19/2023 06:27 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Deducted value missing after update
(Deduction value included raw missing from grid)

#10 - 04/24/2023 10:28 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#11 - 04/25/2023 05:13 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Deduction Account set as mandatory

2.Cant add paid cheque as FOP

3.Set proper alignment between code & name

(Grid)

4.Set alignment on Created by & Modified by labels while translation
(Arabic)

#12 - 05/05/2023 05:26 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 05/08/2023 05:48 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Cant save Payment -
Fix error on Document Code Generation

#14 - 05/10/2023 05:05 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 05/12/2023 06:02 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Debit/Credit Total Amounts misplaced in grid summary

2.Use QAR precision on Amount in QAR coloumn when using multi currencies

3.Fix bugs on cheque date - Paid cheque as FOP

(Date change to previous - while each updates)

4.Grid summary must clear and disappear when tap new button
5.Deduction/Extra Pay values must be included on grid summary

#16 - 05/19/2023 12:58 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 05/26/2023 06:04 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Auto completion field not clearing on focus out
2.Set proper validations on inline check box
(Branch/Department changing on update)

#18 - 06/01/2023 01:18 PM - Junaid M
Payment FOP GUI Change

-> Re-Arrange Cheque Div Elements

Issued Bank | Cheque No | Cheq Date
Cheque Name | Post Date | Status

>Renrame Dateto-ChegquePate

> Increase 1st column space

#19 - 06/02/2023 05:26 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#20 - 06/10/2023 06:32 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Set required validation on Department

(Party popup)
2.Fix calculation bugs on ROE

#21 - 07/08/2023 01:14 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#22 - 07/10/2023 06:32 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set max limit on input fields - Amount

2.Fix error on copy & save

3.Change attachment popup style & resize popup
4.Change icon on Copy button

5.Replace Total Paid, Total Debit, Balance

( Replace to right side - Under phone)

6.Replace Reference to left side - under Narration

#23 - 07/18/2023 09:35 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#24 - 07/24/2023 05:58 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.Correct The Alligment Of Sub Customer In Party
2.Data Missing While Choosing Delete Option As Cancel
3.Grid Options Only Working In Currency

4.Change Phone Number Into Phone No

5.Erase Option Not Working In Posting

6.Issue While Choosing Print

7.Ul Crashing While Adding Cheque Name

8.Defaulted Posting Status

9.Ul Crash While Adding Extra Pay

#25 - 08/17/2023 03:38 PM - Seema Mathew

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED

1.ADDING VERTUAL CARD AND SAVE WITHOUT MANDATORY FIELD

#26 - 08/23/2023 02:33 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#27 - 08/23/2023 03:10 PM - Seema Mathew
TESTING DONE

#28 - 08/25/2023 06:16 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOWING SEQUENCE CONTAINS NO ELEMENTS WHILE CHOOSING DEPARTMENT AND SAVE
2.WHILE ADDING CORPORATE CARD AND REFRESH FOP SHOWING US UNDEFINED

3.ERROR WHILE ADDING FOP US TRANFER AND DEPOSIT

4.CORRECT THE SPELL OF DEPOSIT

5.SHOW ACCOUNTS THAT ACT US COMMISSION AGENT
#29 - 08/25/2023 06:16 PM - unnikannan S

- Tested By changed from Seema Mathew to unnikannan S

#30 - 09/09/2023 09:41 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#31 - 09/11/2023 05:32 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ISSUE IN Ul WHILE SELECTING CHEQUE AFTER UPDATE AND SEARCH WITH CHEQUE

#32 - 09/26/2023 09:48 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#33 - 10/05/2023 05:59 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.MISSING PRECISION VALUE AFTER SAVE AND ADD DOC NO

2.ERROR WHILE ADDING CORPOTRATE CARD

3.ERROR WHILE NOT CHANGING DEPARTMENT IN PARTY SIDE
4.SHOWING NAN IN PARTY DEDUCTION

5.SHOWING TOTAL AMOUNT US QAR LABEL IN PARTY

6.NOT CLEARING SUB LEDGER DATA WHILE CLICKING NEW

7.CLEAR AMOUNT WHILE SELECTING NEW FOP

8.CANT DELETE ADDED AMOUNT FROM LISTS WITH EXTRA COLLECTION

#34 - 10/12/2023 05:39 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#35 - 10/13/2023 11:14 AM - unnikannan S
TESTING DONE

#36 - 10/13/2023 06:05 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.NOT CLEARING ADDED RESPONSIBLE USER,EMPLOYEE AND LEDGER
2.ADD PRECIION IN DEDUCTION

3.CLEAR AMT FIELD FROM PARTY WHILE SELECTING NEW

4.ERROR IN AMT FIELD WHILE DELETING ADDED DEDUCTION/EXTRA PAY

#37 - 10/14/2023 01:47 PM - unnikannan S

unnikannan S wrote in #note-36:
ISSUE FOUNDED

1.NOT CLEARING ADDED RESPONSIBLE USER,EMPLOYEE AND LEDGER
2.ADD PRECIION IN DEDUCTION

3.CLEAR AMT FIELD FROM PARTY WHILE SELECTING NEW

4.ERROR IN AMT FIELD WHILE DELETING ADDED DEDUCTION/EXTRA PAY
5.NOT GETTING DATA IN PAID CHEQUE SEARCH
#38 - 10/14/2023 02:33 PM - unnikannan S

unnikannan S wrote in #note-37:
unnikannan S wrote in #note-36:
ISSUE FOUNDED

1.NOT CLEARING ADDED RESPONSIBLE USER,EMPLOYEE AND LEDGER
2.ADD PRECIION IN DEDUCTION

3.CLEAR AMT FIELD FROM PARTY WHILE SELECTING NEW

4.ERROR IN AMT FIELD WHILE DELETING ADDED DEDUCTION/EXTRA PAY
5.NOT GETTING DATA IN PAID CHEQUE SEARCH

6.CONNECT MODULE WITH OUT STANDING REFERENCE REPORT

#39 - 10/16/2023 06:05 PM - unnikannan S
unnikannan S wrote in #note-38:
unnikannan S wrote in #note-37:
unnikannan S wrote in #note-36:

ISSUE FOUNDED
1.NOT CLEARING ADDED RESPONSIBLE USER,EMPLOYEE AND LEDGER
2.ADD PRECIION IN DEDUCTION
3.CLEAR AMT FIELD FROM PARTY WHILE SELECTING NEW
4.ERROR IN AMT FIELD WHILE DELETING ADDED DEDUCTION/EXTRA PAY

5.NOT GETTING DATA IN PAID CHEQUE SEARCH
6.CONNECT MODULE WITH OUT STANDING REFERENCE REPORT

.>>7.CHEQUE DATE GOING TO PAST 1 DAY DATE

#40 - 10/18/2023 06:21 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#41 - 10/27/2023 12:08 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.ADD IN GRID CODE LOCATION = CENTRE
#42 - 10/28/2023 01:25 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#43 - 10/28/2023 06:13 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.MISSING PRECISION IN DEDUCTION
2.NOT CHANGING ADDED RESPONSIBLE EMPLOYEE TO USER WHILE SAVE
#44 - 10/29/2023 09:58 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#45 - 10/30/2023 10:43 AM - unnikannan S
TESTING DONE

#46 - 10/30/2023 05:13 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR WHILE CHANGING BRANCH IN PARTY WHILE SAVE

2.SAVED ITEM FOP,PARTY SHOWING US UNDEFINED WHILE CHANGING A/C"S AND UPDATE THOUGH EDIT MODE

#47 - 10/31/2023 12:29 PM - unnikannan S

unnikannan S wrote in #note-46:
ISSUE FOUNDED

1.ERROR WHILE CHANGING BRANCH IN PARTY WHILE SAVE

2.SAVED ITEM FOP,PARTY SHOWING US UNDEFINED WHILE CHANGING A/C"S AND UPDATE THOUGH EDIT MODE

3.SHOW ACCOUNTS THAT ACT US, SUPPLIER AND CLIENTS IN PARTY

#48 - 11/03/2023 09:37 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#49 - 11/03/2023 11:48 AM - unnikannan S
TESTING DONE

#50 - 12/04/2023 06:22 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.DOCUMENT SHOWING NOT TALLY WHILE ADDING MULTIPLE FOP WITH ONE PARTY
TESTING DONE

#51 - 12/05/2023 03:01 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#52 - 12/28/2023 11:33 AM - unnikannan S
ISSUE FOUNDED
1.CHEQUE DATE GOING TO PAST DATE WHILE UPDATING

2.CANT ADD COMMISSION AGENT ACCOUNTS
3.POSTING DATE MUST BE GREATER OR EQUAL THAN THE DOCUMENT DATE

#53 - 01/01/2024 02:37 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.UI COLLAPSE WHILE CHANGING ALREADY SAVED DOCUMENT FOP TO CHEQUE
2.ERROR WHILE SAVING (Cannot read properties of null (reading 'getFullYear')
3.NO DATA IN LEDGER COMPARISON REPORT

#54 - 01/01/2024 05:23 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#55 - 01/20/2024 04:38 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW INCOME ACCOUNTS IN DEDUCTION FIELD AND EXPENSE ACCOUNTS IN EXTRA PAY FIELD OF PARTY WHILE CHOOSING
CHECK BOXES IN Ul

#56 - 01/22/2024 12:31 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#57 - 01/22/2024 12:43 PM - unnikannan S
TESTING DONE

#58 - 02/22/2024 11:38 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CLEAR CARD & CHEQUE DETAILS WHILE CLEARING FOP
(SHOWING ADDED DETAILS WHILE CHOOSING FOP DROP DOWN)

#59 - 02/23/2024 06:17 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#60 - 02/26/2024 11:41 AM - unnikannan S
TESTING DONE

#61 - 03/04/2024 06:03 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.MISSING ADDED AGAINST DOC WISE MATCHED DOC AFTER SAVE
#62 - 03/05/2024 06:17 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#63 - 03/09/2024 10:31 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.ALLOWING MANUAL ENTRY FOR DOC NO
#64 - 03/11/2024 05:07 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#65 - 03/15/2024 10:43 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.MISSING CHEQUE MANDATORY DATAS ON FOP FIELD CANT UPDATE SHOWING ERROR (nullable object)

#66 - 03/18/2024 09:41 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#67 - 03/18/2024 09:56 AM - unnikannan S
TESTING DONE

#68 - 03/18/2024 09:57 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.MISSING ADDED CHEQUE DATAS WHILE FOCUS OUT FROM FOP FIELD
#69 - 03/18/2024 10:02 AM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#70 - 04/05/2024 10:54 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.ERROR WHILE CHOOSING FOP BUTTON -Cannot read properties of undefined (reading 'sinPrecision’)
#71 - 05/08/2024 11:52 AM - unnikannan S

ISSUE FOUNDED

1.ERROR WHILE SAVE MULTIPLE PARTY WITH DIFFERENT CURRENCY

#72 - 05/08/2024 11:53 AM - unnikannan S
- File clipboard-202405081153-jwc7m.png added

#73 - 06/19/2024 02:48 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#74 - 06/19/2024 03:23 PM - Arathy PS
- File clipboard-202406191520-n4dug.png added
- File img_20240619.png added

ISSUE: Error while adding paid cheque as FOP.
#75 - 07/03/2024 06:24 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Error On Cheque FOP Wise Save

#76 - 07/04/2024 10:12 AM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#77 - 07/04/2024 04:30 PM - unnikannan S

ISSUE FOUNDED

1.Fix Error On Copy Save In Case Of FOP As Cheque
#78 - 07/04/2024 04:30 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#79 - 07/05/2024 03:08 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#80 - 07/05/2024 05:33 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Block Deletion/FOP Change Update In Case The Cheque Is Used In Paid Cheque Return Module
#81 - 07/19/2024 10:48 AM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#82 - 07/22/2024 11:04 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Error On Update While Matching From Against Doc

#83 - 07/23/2024 03:22 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#84 - 08/02/2024 12:18 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Show Cheque Status In FOP POP UP

#85 - 08/02/2024 06:04 PM - Arathy PS
ISSUE FOUNDED:
1)IN PRINT 'CURRENCY"' HEADING IS SPLIT INTO TWO LINES
2)ADDRESS IS NOT SHOWING ON THE PRINT

#86 - 08/03/2024 12:45 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#87 - 08/03/2024 02:38 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED:
1) CAN'T CHANGE FOP AFTER SAVING (fixed)

#88 - 08/05/2024 05:07 PM - Junaid M

Feature

1. Based On "Admin Settings -> Paid Cheque -> Paid Cheque Should Be In Cheque Book"
If tick ON then Validate Cheque No exist in Chequebook module.
2. Fill paidcheque.tbl_paid_cheque -> fk_cheque_leaf_id

#89 - 08/09/2024 05:26 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#90 - 08/09/2024 06:24 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Clear Validation For Changing FOP After Save.In Case Of Cheque (Status Not Changed)

#91 - 08/10/2024 09:58 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#92 - 08/10/2024 06:53 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

#93 - 10/09/2024 01:15 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

Add Feature

1. Integrate "Payment Multi-Party Doc No Generating Based On" In Set Doc No Format module.

2. Imply Banks (All Bank) in Receiver Bank field up on choosing UPI in FOP

Bug Found

1. Can't have two payments with same cheque number (can save with same cheque number upon clicking copy after first payment)

Cheque No Validation cases

Paid cheque no should be in cheque book is

ON Case

1. Only Allow to enter cheque no in cheque book. and Load Issued bank from cheque book and disable issued bank
OFF Case

1. If Entered cheque no exist in cheque book then Load Issued bank.
2. Already entered a issued bank, but cheque no exist in cheque book, when loaded Issued bank is different. then on add ask user to continue or not.

-> Yes -> Continue add
—> No —-> Change Entered bank to Loaded bank and continue.

#94 - 10/09/2024 02:24 PM - Anil KV

- Subject changed from Payment to Payment+

#95 - 10/11/2024 10:13 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#96 - 10/15/2024 06:17 PM - Arathy PS

- File clipboard-202410151805-fjum8.png added

- File clipboard-202410151806-xiiay.png added

- File clipboard-202410151806-mnts7.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. If a two cheque books with similar cheque number for different banks are present and when we enter the cheque no: the bank name changes to
one of them even if we enter one bank name.

#97 - 10/17/2024 10:50 AM - Arathy PS
- File deleted (clipboard-202410151806-mnts7.png)

#98 - 10/17/2024 10:50 AM - Arathy PS
- File deleted (clipboard-202410151806-xiiay.png)

#99 - 10/17/2024 10:50 AM - Arathy PS
- File deleted (clipboard-202410151805-fjum8.png)

#100 - 10/17/2024 11:39 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#101 - 10/23/2024 05:48 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Allowing Change Of Cheque No On First Update Thats Not Present In The Cheque Book

2.Missing Validation Of Continuous Updating Of Already Used Cheque No
3.Dont Allow Update In Case The Cheque Status Changed To Return/Cancel

#102 - 10/24/2024 10:35 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#103 - 10/24/2024 06:58 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Blocking Save

#104 - 10/24/2024 06:58 PM - unnikannan S
- File clipboard-202410241858-72waj.png added

#105 - 10/25/2024 10:21 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#106 - 11/14/2024 06:17 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGES

1. Replace supplier status with new label 'approval status' (blue star): empty, approved
2. Add title 'approval done from corporate/supplier side'.

#107 - 12/03/2024 01:12 PM - unnikannan S
- File clipboard-202412031312-utilm.png added

- Status changed from New Changes to Reopen Bugs

Travvise Payment
TRAVEL SOLUTION PUT LTD

-
llapse P0001: jsnSpOutRes: ["sinSqlCustomStatus” : -1, "strSglCustomStatusCode” : "ERROR", "strSqlCustomMessage” : "Payment Save Failed", "strSqlCustomErrarType” : "DATABASE_SYSTEM_ERROR", b4 B Update
# "strSglCustomErrorCode” : null, “strSqlSysMessage” : "new row for relation \"tb|_transaction\" violates check constraint \"tb]_transaction_check3\"", "strSqlSysExceptionDetail" : "Failing row contains (104, 1,
ome PAYMENT, , , PAYMENT_PARTY_ITEM_DEBIT_POSTING, 1, 1, 1, 17, 17, null, 2, 2024-12-03, 2024-12-03, 89, 25, 25, 59, null, null, null, QAR, 1, 49, 0, 49, 49, -1, QAR, 49,0, 49, 49, -1, USD, 1, 49,0, 49, 49, -1,, Cash

Payment, Ref No: , Paid Through CAS001:: Cash, Cash Payment, Ref No:, Paid Through CAS001: Cash, Roe 1, {\V"TYPE\"\"PAYMENT\" \"DOC_NC\"\"PV/0044"}, null, null, null, null, null, null, null, null, -1, null, 0, 0,

0,0,3,0,0,0 1,1, 1).7, "strSqiSysExceptionHint" : "SOL statement \"UPDATE transaction.tbl_transaction SET\r\n\t\t\t\t\t\tdat_settlement_done = dimCurrent\rin\t\f\t\f\t\tdbl_ledg_cur_outstanding = e
ront dbl_ledg_cur_outstanding - CAST(jsnSettlement->>'dbllLedgCurMatched’ AS DOUEBLE PRECISION) \rinht\t\titht\tdbl_base_cur_outstanding = dbl_base_cur_« ding - CAST(jsnSettl; t
= > > 'dblBaseCurMatched’ AS DOUBLE PRECISION) \r\n\t\t\t\t\t\tdbl_cons_cur_outstanding = dbl_cons_cur_outstanding - CAST(jsnSettlement->>'dblConsCurMatched' AS DOUBLE PRECISION)\rin WHERE ]
tack pk_transaction_id IN (CAST(jsnSettlement-» > 'binTransactionDrd' AS BIGINT), CAST(jsnSettlement-» > ‘binTransactionCrld’ AS BIGINT)J\"\nPL/pgSQL function sp_insert_or_update_settlemnent_details{jsonb) line & Posting
— 40 at 5QL statement\nSOL statement \"CALL sp_insert_or_update_settlement_details(jsnSettlement jsnSpOutRes)\"\nPL/pgSCL function sp_insert_or_update_settlement_base(jsonb jsonbl]) line 36 at
- CALL\nSQL statement \"CALL sp_insert_or_update_settlement_base(jsnOldSettlementMaster, arjNewSettlementDetails, jsnSqlRes)\"\nPL/pgSQL function sp_restore_revoked_settlements{jsonb[] jsonb jsonbl) %
Fpoi8 line 40 at CALI\nSQOL statement \"CALL sp_restore_revoked_settlements(arjTransactionWithPk, jsnOldSettlementMaster, arjOldSettlementDetails, jsnSglRes)\"\nPL/pgSQL function Attachment
Q sp_insert_transaction_base(jsenb,bigint} line 297 at CALL\nSOL statement \"CALL sp_insert_transaction_base(jsnSetTransaction, binDocumentLogld::BIGINT, jsnSpOutRes)\"\nPL/pgSQL function
d/Info sp_insert_or_update_payment{jsonb jsonb[] jsonb[] jsonb,bigint]] bigint[], bigint[l) line 212 at CALL", "binSqIPk™ : 17, "binSqglLogPk™ : 0, "strSqlDocNo" : null, "dctSqlOtherData” : {"binDocumentld™ 17,
= "strDocumentNo™ "PV/004", "binPaymentMasterld™ "4"}}
» Do i

@ FopP
m Payment No | PV/004 Date* | 03/12/2024 G Branch* BROO1: Main ~ .
aster
# Receiver = Department”  DPOD1: Account v - i
Aore . . .
Narration File No* = Enquiry No* =
" 4
ento
FTe Internal Note Reference
= 4
ssets Doc Status™ | Active v |8y Phone No
-]
hboard Posting Status® A ctive ~vo | By Cash Counter A
Approval Status: Total Paid: 49.00 QAR
Created By: admin(03/12/2024 01:05 PM) Total Debit:  49.00 QAR

#108 - 12/05/2024 08:53 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#109 - 12/05/2024 06:01 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Can update/change the amount of payment with FOP as paid cheque and the status of the cheque is changed to cancel/return.
2. Not able to use same cheque no: for different banks when Fop is paid cheque.

#110 - 12/05/2024 10:19 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#111 - 12/09/2024 09:55 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Missing Validation Of Correct Cheque No On First Save
#112 - 12/10/2024 10:25 AM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#113 - 12/11/2024 05:01 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Can edit, delete, print and attach in the documents after blocking them in user module previlage.
2. Show reco no: on the field for cheque.

1. If Menu service sys name and global constant name is same.
2. Sys name on document no: focus out and after saving.
3. Sys name while redirection.

#114 - 12/28/2024 09:44 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#115 - 01/02/2025 11:26 AM - Arathy PS

- Assignee changed from Aparna Mathew to Augustin Jose

#116 - 01/23/2025 06:34 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1)Fop dropdown label is not changing with given fop

2).Details given on choosing perticular fop is not clearing after changing the fop into another,on try to change as previous fop all the details are

loading--in case of upi,virtual card

#117 - 01/25/2025 03:26 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#118 - 01/29/2025 10:48 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. When Fop is paid cheque and we take a copy after then we can repeat the cheque no: that is already used.

2.ISSUE ON UPDATION OF PAID CHEQUE WHEN FOCUS OUT FROM CHEQUE NO FIELD
3.CAN UPDATE WHEN STATUS OF CHEQUE IS CHANGED IN PAYMENT

#119 - 02/04/2025 10:04 AM - Augustin Jose

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

05/03/2025
- % Done changed from 50 to 70

#120 - 02/08/2025 04:23 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. When multiple parties are entered and print is showing only one party and amount in all tabs.

#121 - 02/12/2025 10:55 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#122 - 02/28/2025 10:44 AM - Theja Ponon

- File clipboard-202502281044-ursx5.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue found

1)Dlsable the issued bank field

FoP

‘Own Bank client

Deduction

QAR

Transfer

Exira Pay

Own Bank client

Payment
ment No Date” | 28/02/2025 ] Branch™ | BROO1: Main
eceiver ~ Department™ ' DpOO1: Account
Narration File No™ =
4
nal Note ) Reference
e Status™ | Active ~ By Frane o
gstatus’ | Active v By ‘Cash Counter
l Status: Paid (FOF)
eated By: Debit (Party)
dified By:
Party: 0.00 QAR
ainst Doc &y 0.00 2R FOP™~ | BNK0O1
ccount® & v Reference
1 Ledger® v Amount In GAR* | 0.00
stomer ~
Narration
4 Issued Bank™ | BNK0O1

Branch® BROO1: Main ~ Cheque Name™

artment” DPOO1:: Account ~

Chegue No*

st Center v
Posting Date®

Cheque Date™
v¥y

Status:Bank Credited

#123 - 02/28/2025 06:16 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#124 - 03/11/2025 05:10 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Able to change the data of payment with paid cheque even after it is returned or cancelled.

#125 - 03/13/2025 10:14 AM - Arathy PS

Set Document Id in Posting

05/03/2025
Eg:

mdITransaction.binDocumentld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure
mdITransaction.binSubDocld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure

#126 - 03/13/2025 11:22 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#127 - 03/20/2025 11:59 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FIXED

1. If the currency in cheque and the same currency is not present in bank then add a validation.

#128 - 03/20/2025 12:34 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#129 - 03/22/2025 02:09 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Fixed

1. Not able to save the copy of a payment while trying to take the copy from an already reconciled document.
2.Customer card load in Fop

#130 - 03/24/2025 02:19 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#131 - 03/25/2025 03:40 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)Against doc remove on saving.

#132 - 03/25/2025 05:39 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#133 - 04/05/2025 10:37 AM - Arathy PS
NEW CHANGES

1. In the pop up label, Add Party (Dr), Add FOP (Cr)
2. Add reference in the party pop up.

3. Correct the alignment of deduction/extra collection section and print section with above section in party pop up.

#134 - 04/08/2025 12:25 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

NEW CHANGE

1. While choosing e-mail in print then the mail ID provided in the master module of the account should be loaded here by default.

05/03/2025
#135 - 05/02/2025 11:49 AM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

1. Bank charge is not calculated based on set bank charge module and tax is also not calculated.

Files

1-CsModel.cs 8.96 KB 12/19/2022 Junaid M
2-tsModel.ts 5.54 KB 12/19/2022 Junaid M
3-CsFile.cs 24.4 KB 12/19/2022 Junaid M
4-CsControllerFile.cs 249 KB 12/19/2022 Junaid M
6-HtmlFile.html 1.89 KB 12/19/2022 Junaid M
5-TsFile.ts 14.1 KB 12/19/2022 Junaid M
sql.sql 49.7 KB 12/19/2022 Junaid M
